=head1 NAME

Gnome2::IconSelection - wrapper for GnomeIconSelection

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Box
                           +----Gtk2::VBox
                                +----Gnome2::IconSelection



=cut

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable
  Gtk2::Orientable



=cut


=head1 METHODS

=head2 widget = Gnome2::IconSelection-E<gt>B<new> 

=head2 $gis-E<gt>B<add_defaults> 

=head2 $gis-E<gt>B<add_directory> ($dir)

=over

=item * $dir (string) 

=back

=head2 widget = $gis-E<gt>B<get_box> 

=head2 $gis-E<gt>B<clear> ($not_shown)

=over

=item * $not_shown (boolean) 

=back

=head2 widget = $gis-E<gt>B<get_gil> 

=head2 string = $gis-E<gt>B<get_icon> ($full_path)

=over

=item * $full_path (boolean) 

=back

=head2 $gis-E<gt>B<select_icon> ($filename)

=over

=item * $filename (string) 

=back

=head2 $gis-E<gt>B<show_icons> 

=head2 $gis-E<gt>B<stop_loading> 



=cut


=head1 SEE ALSO

L<Gnome2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::Container>, L<Gtk2::Box>, L<Gtk2::VBox>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2004 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gnome2> for a full notice.



=cut

